# NAME

llvm-upgrade - LLVM assembly upgrade tool

# SYNOPSIS

llvm-upgrade [options] [filename]

# DESCRIPTION

llvm-upgrade is the LLVM assembly upgrade tool. It reads a file containing human-readable LLVM assembly language, and upgrades that assembly to the current version of LLVM. If the input is in the form currently accepted by LLVM, then no upgrades are performed.

The expected usage of this tool is as a filter, like this:

llvm-1.9/bin/llvm-dis < 1.9.bc | llvm-upgrade | llvm-2.0/bin/llvm-as -o 2.0.bc

If filename is omitted or is `-`, then llvm-upgrade reads its input from standard input.

If an output file is not specified with the -o option, then llvm-upgrade sends its output to standard output.

# OPTIONS

-f

  Force overwrite. Normally, llvm-upgrade will refuse to overwrite an output file that already exists. With this option, llvm-upgrade will overwrite the output file.

--help

  Print a summary of command line options.

-o filename

  Specify the output file name. If filename is `-`, then llvm-upgrade sends its output to standard output.

# EXIT STATUS

If llvm-upgrade succeeds, it will exit with 0. Otherwise, if an error occurs, it will exit with a non-zero value.

# SEE ALSO

llvm-as, llvm-dis

# AUTHORS

Maintained by the LLVM Team (http://llvm.org).